Nifi build failed - 1.7.1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Nifi build failed - 1.7.1

Arunkumar
Hello Everyone,

Any pointers would be helpful. I am trying to build NiFi from source on
Amazon Linux (AL2012)

-----------------
 [ERROR] Failed to execute goal
com.github.eirslett:frontend-maven-plugin:1.4:npm (npm install) on project
nifi-web-ui: Failed to run task: 'npm --cache-min Infinity install' failed.
(error code 1) -> [Help 1]
 [ERROR]
 [ERROR] To see the full stack trace of the errors, re-run Maven with the -e
switch.
 [ERROR] Re-run Maven using the -X switch to enable full debug logging.
 [ERROR]
 [ERROR] For more information about the errors and possible solutions,
please read the following articles:
 [ERROR] [Help 1]
http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
 [ERROR]
 [ERROR] After correcting the problems, you can resume the build with the
command
 [ERROR]    mvn <goals> -rf :nifi-web-ui
 BUILD FAILED

I tried downgrading com.github.eirslett:frontend-maven-plugin:1.4:npm to 1.1
as well, still the error is the same. Kindly help.
87530-nifi-build-failure.txt
<http://apache-nifi-developer-list.39713.n7.nabble.com/file/t1050/87530-nifi-build-failure.txt>  



--
Sent from: http://apache-nifi-developer-list.39713.n7.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: Nifi build failed - 1.7.1

Charlie Meyer
Hi,

I had a similar problem just a bit ago and Scott kindly helped me out. The
solution he provided might help you as well:
http://apache-nifi-developer-list.39713.n7.nabble.com/failed-to-build-nifi-1-8-0-SNAPSHOT-on-OSX-high-sierra-td19426.html

On Mon, Sep 3, 2018 at 1:28 PM Arunkumar <[hidden email]> wrote:

> Hello Everyone,
>
> Any pointers would be helpful. I am trying to build NiFi from source on
> Amazon Linux (AL2012)
>
> -----------------
>  [ERROR] Failed to execute goal
> com.github.eirslett:frontend-maven-plugin:1.4:npm (npm install) on project
> nifi-web-ui: Failed to run task: 'npm --cache-min Infinity install' failed.
> (error code 1) -> [Help 1]
>  [ERROR]
>  [ERROR] To see the full stack trace of the errors, re-run Maven with the
> -e
> switch.
>  [ERROR] Re-run Maven using the -X switch to enable full debug logging.
>  [ERROR]
>  [ERROR] For more information about the errors and possible solutions,
> please read the following articles:
>  [ERROR] [Help 1]
> http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
>  [ERROR]
>  [ERROR] After correcting the problems, you can resume the build with the
> command
>  [ERROR]    mvn <goals> -rf :nifi-web-ui
>  BUILD FAILED
>
> I tried downgrading com.github.eirslett:frontend-maven-plugin:1.4:npm to
> 1.1
> as well, still the error is the same. Kindly help.
> 87530-nifi-build-failure.txt
> <
> http://apache-nifi-developer-list.39713.n7.nabble.com/file/t1050/87530-nifi-build-failure.txt>
>
>
>
>
> --
> Sent from: http://apache-nifi-developer-list.39713.n7.nabble.com/
>
Reply | Threaded
Open this post in threaded view
|

Re: Nifi build failed - 1.7.1

Arunkumar
Thanks Charlie Meyer, it helped



--
Sent from: http://apache-nifi-developer-list.39713.n7.nabble.com/